Bug 1021645 - clang++: when gcc-c++ is uninstalled -lstdc++ cannot be found
clang++: when gcc-c++ is uninstalled -lstdc++ cannot be found
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 1158594 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 13:19 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2015-05-30 23:35 EDT (History)
10 users (show)

See Also:
Fixed In Version: llvm-3.6.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 15:25:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-21 13:19:54 EDT
Description of problem:
clang doesn't seem to have an explicit dependency on gcc-c++, but fails to find -lstdc++ without it.

Steps to Reproduce:
1. sudo yum install clang gcc-c++
...
Nothing to do
2. clang++ simple.cc
(works)
3. sudo rpm -e gcc-c++
4. clang++ simple.cc 
/usr/bin/ld: cannot find -lstdc++
clang: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 1 Fabian Deutsch 2013-11-11 11:52:56 EST
This is also happening for me.

This also blocks opencl examples when pocl is used, because pocl itself relies on clang for compiling kernels.
Comment 2 Samuel Bischof 2014-03-25 08:45:41 EDT
According to this Forum Entry https://bbs.archlinux.org/viewtopic.php?pid=1120228#p1120228

The developers of clang have decided to use the c++ library from gcc cause the one from llvm is still under development.

I haven't checkt if this really is the case but if thats why you may be able to build clang from source aganinst llvm by manually change some lines in the source code of clang.
Comment 3 Adam Jackson 2014-11-19 11:28:20 EST
Reassign to nobody@.  I have no time and no interest in working on clang, and the only reason it's even in the llvm package is because it can't be built any other way.

If anyone wishes to volunteer for comaintainer with a focus on clang, please let me know (preferably with direct email, if it's in bz I'll likely miss the request), I'll be happy to hook you up.
Comment 4 Fedora End Of Life 2015-05-29 05:36:28 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-05-30 23:35:02 EDT
*** Bug 1158594 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.